## opencolorio 1.0.9~dfsg0

=== CMakeLists.txt ===
project(OpenColorIO)
set(OCIO_VERSION_MAJOR 1)
set(OCIO_VERSION_MINOR 0)
set(OCIO_VERSION_PATCH 9)

cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/share/cmake)
if(NOT DEFINED CMAKE_FIRST_RUN)
    SET(CMAKE_FIRST_RUN 1 CACHE INTERNAL "")
endif()

###############################################################################
### GLOBAL ###

option(OCIO_BUILD_SHARED "Set to OFF to disable building the shared core library" ON)
option(OCIO_BUILD_STATIC "Set to OFF to disable building the static core library" ON)
option(OCIO_BUILD_TRUELIGHT "Set to OFF to disable truelight" ON)
option(OCIO_BUILD_APPS "Set to OFF to disable command-line apps" ON)
option(OCIO_BUILD_NUKE "Set to OFF to disable building nuke plugins" ON)
option(OCIO_BUILD_DOCS "Specify whether to build documentation" OFF)
option(OCIO_BUILD_TESTS "Specify whether to build unittests" OFF)
option(OCIO_BUILD_PYGLUE "Specify whether to build python bindings" ON)
option(OCIO_BUILD_JNIGLUE "Specify whether to build java bindings" OFF)
option(OCIO_STATIC_JNIGLUE "Specify whether to statically link ocio to the java bindings" ON)

option(OCIO_USE_SSE "Specify whether to enable SSE CPU performance optimizations" ON)

# Use boost's shared_ptr by default on Windows (as <VS2010 doesn't have it),
# Use std::tr1::shared_ptr by default on other platforms
option(OCIO_USE_BOOST_PTR "Set to ON to enable boost shared_ptr (necessary when tr1 is not available)" WIN32)

option(OCIO_PYGLUE_LINK "If ON, link the Python module to the core shared library" OFF)
option(OCIO_PYGLUE_RESPECT_ABI "If ON, the Python module install path includes Python UCS version" OFF)
option(OCIO_PYGLUE_SONAME "If ON, soname/soversion will be set for Python module library" OFF)
option(OCIO_PYGLUE_LIB_PREFIX "If ON, prefix the Python module with 'lib'" OFF)

if(UNIX AND NOT APPLE)
    option(USE_EXTERNAL_YAML "Use system installed yaml-cpp library." OFF)
    option(USE_EXTERNAL_TINYXML "Use system installed tinyxml library." OFF)
    option(USE_EXTERNAL_LCMS "Use system install lcms2 library." OFF)
endif()

# This does not include the SOVERSION override, on purpose, so that the
# OCIO_VERSION value will be an accurate reflection of the underlying library version.
set(OCIO_VERSION "${OCIO_VERSION_MAJOR}.${OCIO_VERSION_MINOR}.${OCIO_VERSION_PATCH}")

if(NOT SOVERSION)
    set(SOVERSION ${OCIO_VERSION_MAJOR} CACHE STRING "Set the SO version in the SO name of the output library")
endif()

###############################################################################


include(ParseArguments)
include(OCIOMacros)
include(ExternalProject)

enable_language(CXX)

ENABLE_TESTING()

if(APPLE OR IPHONE)
    if(NOT CMAKE_OSX_ARCHITECTURES)
        set(CMAKE_OSX_ARCHITECTURES x86_64 CACHE STRING
            "Setting OSX Architectures, options are: ppc;i386;ppc64;x86_64"
            FORCE)
    endif()
    if(CMAKE_FIRST_RUN)
        message(STATUS "Setting OSX Architectures to: ${CMAKE_OSX_ARCHITECTURES}")
    endif()
endif()

# Set the default built type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)
if(CMAKE_FIRST_RUN)
    message(STATUS "Setting Build Type to: ${CMAKE_BUILD_TYPE}")
endif()

# Set the default namespace
if(NOT OCIO_NAMESPACE)
  set(OCIO_NAMESPACE OpenColorIO CACHE STRING
      "Specify the master OCIO C++ namespace: Options include OpenColorIO OpenColorIO_<YOURFACILITY> etc."
      FORCE)
endif(NOT OCIO_NAMESPACE)
messageonce("Setting Namespace to: ${OCIO_NAMESPACE}")

# If CMAKE_INSTALL_EXEC_PREFIX is not specified, install binaries
# directly into the regular install prefix
if(NOT CMAKE_INSTALL_EXEC_PREFIX)
    messageonce("Exec prefix not specified, defaulting to ${CMAKE_INSTALL_PREFIX}")
    set(CMAKE_INSTALL_EXEC_PREFIX ${CMAKE_INSTALL_PREFIX})
endif()

messageonce("Use Boost Ptr: ${OCIO_USE_BOOST_PTR}")
if(OCIO_USE_BOOST_PTR)
    set(Boost_ADDITIONAL_VERSIONS "1.49" "1.45" "1.44" "1.43" "1.43.0" "1.42"
                                  "1.42.0" "1.41" "1.41.0" "1.40"
                                  "1.40.0" "1.39" "1.39.0" "1.38"
                                  "1.38.0" "1.37" "1.37.0" "1.34.1"
                                  "1_34_1")
    set(Boost_USE_MULTITHREADED ON)
    find_package(Boost 1.34)
    if(NOT Boost_FOUND)
        message(FATAL_ERROR "OCIO_USE_BOOST_PTR is specified, but a boost installation could not be found.")
    else()
        set(OCIO_USE_BOOST_PTR 1)
    endif()

    set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
    # set(EXTERNAL_LIBRARIES ${EXTERNAL_LIBRARIES} ${Boost_LIB_DIAGNOSTIC_DEFINITIONS})
else()
    set(OCIO_USE_BOOST_PTR 0)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    # Enable a bunch of compiler warnings...
    # http://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wshadow -Wconversion -Wcast-qual -Wformat=2")
    # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
endif(CMAKE_COMPILER_IS_GNUCXX)

if(WIN32)
    if(PYTHON_VERSION AND PYTHON_INCLUDE AND PYTHON_LIB)
        set(EXTDIST_PYTHONPATH ${PYTHON_LIB}/python${PYTHON_VARIANT_PATH}/site-packages)
        set(PYTHONPATH ${EXTDIST_PYTHONPATH};$ENV{PYTHONPATH})
        set(PYTHON_OK YES)
        message(STATUS "Setting Python path to: ${PYTHONPATH}")
    endif()
else()
    # Find Python, used for (possibly) building pyglue, and now to
    # construct the external project path
    OCIOFindPython()

    set(EXTDIST_ROOT ${CMAKE_BINARY_DIR}/ext/dist)
    set(EXTDIST_BINPATH ${EXTDIST_ROOT}/bin)
    if(PYTHON_OK)
        set(EXTDIST_PYTHONPATH ${EXTDIST_ROOT}/lib/python${PYTHON_VERSION}/site-packages)
        set(PYTHONPATH ${EXTDIST_PYTHONPATH}:$ENV{PYTHONPATH})
    endif()
endif()

messageonce("Setting EXTDIST_BINPATH: ${EXTDIST_BINPATH}")
messageonce("Setting EXTDIST_PYTHONPATH: ${EXTDIST_PYTHONPATH}")

###############################################################################
### tinyxml ###

if(USE_EXTERNAL_TINYXML)
    set(TINYXML_VERSION_MIN "2.6.1")
    find_package(TinyXML)
    if(TINYXML_FOUND)
        if(TINYXML_VERSION VERSION_EQUAL ${TINYXML_VERSION_MIN} OR
           TINYXML_VERSION VERSION_GREATER ${TINYXML_VERSION_MIN})
            message(STATUS "External TinyXML will be used.")
        else()
            message(FATAL_ERROR "ERROR: ${TINYXML_VERSION} found, but ${TINYXML_VERSION_MIN} or newer is required.")
        endif()
    else(TINYXML_FOUND)
        message(STATUS "TinyXML was not found. Perhaps you forgot to install the development package?")
    endif(TINYXML_FOUND)

else(USE_EXTERNAL_TINYXML)
    set(TINYXML_VERSION 2_6_1)
    set(TINYXML_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR}/ext/dist)
    if(CMAKE_TOOLCHAIN_FILE)
        set(TINYXML_CMAKE_ARGS ${TINYXML_CMAKE_ARGS} -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE})
    endif()
    ExternalProject_Add(tinyxml
        URL ${CMAKE_SOURCE_DIR}/ext/tinyxml_${TINYXML_VERSION}.tar.gz
        PATCH_COMMAND patch -f -p1 < ${CMAKE_SOURCE_DIR}/ext/tinyxml_${TINYXML_VERSION}.patch
        BINARY_DIR ext/build/tinyxml
        INSTALL_DIR ext/dist
        CMAKE_ARGS ${TINYXML_CMAKE_ARGS}
    )
    if(WIN32)
        set(TINYXML_STATIC_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/tinyxml.lib)
    else()
        set(TINYXML_STATIC_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libtinyxml.a)
    endif()
endif(USE_EXTERNAL_TINYXML)
    
###############################################################################
### YAML ###

if(USE_EXTERNAL_YAML)
    # Set minimum yaml version for non-patched sources.
    set(YAML_VERSION_MIN "0.3.0")
    include(FindPkgConfig)
    pkg_check_modules(YAML_CPP yaml-cpp)
    if(YAML_CPP_FOUND)
        if(YAML_CPP_VERSION VERSION_EQUAL ${YAML_VERSION_MIN} OR
           YAML_CPP_VERSION VERSION_GREATER ${YAML_VERSION_MIN})
            message(STATUS "System yaml-cpp library will be used.")
            include_directories(BEFORE ${YAML_CPP_INCLUDE_DIRS})
        else()
            message(FATAL_ERROR "ERROR: yaml-cpp ${YAML_VERSION_MIN} or greater is required.")
        endif()
    else(YAML_CPP_FOUND)
        message(FATAL_ERROR "ERROR: System yaml-cpp library was not found. Make sure the library is installed and the pkg-config file exists.")
    endif(YAML_CPP_FOUND)
else(USE_EXTERNAL_YAML)
    set(YAML_CPP_VERSION 0.3.0)
    set(YAML_CPP_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR}/ext/dist -DYAML_CPP_BUILD_TOOLS:BOOL=FALSE)
    if(CMAKE_TOOLCHAIN_FILE)
        set(YAML_CPP_CMAKE_ARGS ${YAML_CPP_CMAKE_ARGS} -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE})
    endif()
    ExternalProject_Add(YAML_CPP_LOCAL
        URL ${CMAKE_SOURCE_DIR}/ext/yaml-cpp-${YAML_CPP_VERSION}.tar.gz
        BINARY_DIR ext/build/yaml-cpp
        PATCH_COMMAND patch -p1 < ${CMAKE_SOURCE_DIR}/ext/yaml-cpp-${YAML_CPP_VERSION}.patch
        INSTALL_DIR ext/dist
        CMAKE_ARGS ${YAML_CPP_CMAKE_ARGS}
    )
    set(YAML_CPP_INCLUDE_DIRS ${PROJECT_BINARY_DIR}/ext/dist/include)
    set(YAML_CPP_LIBRARY_DIRS ${PROJECT_BINARY_DIR}/ext/dist/lib)
    if(WIN32)
        set(YAML_CPP_STATIC_DEBUG_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libyaml-cppmdd.lib)
        set(YAML_CPP_STATIC_OPTIMIZED_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libyaml-cppmd.lib)
    else()
        set(YAML_CPP_STATIC_GENERAL_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libyaml-cpp.a)
    endif()
endif(USE_EXTERNAL_YAML)



###############################################################################
### Externals ###

set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${PROJECT_BINARY_DIR}/ext/dist/include)
set(EXTERNAL_COMPILE_FLAGS "-DTIXML_USE_STL")

if(CMAKE_COMPILER_IS_GNUCXX)
    
    execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                    OUTPUT_VARIABLE GCC_VERSION)
                    
    if (GCC_VERSION VERSION_LESS 4.2)
        message(STATUS "GCC Version < 4.2 - symbol visibility hiding disabled")
        set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} -fPIC")
    else()
        set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} -fPIC -fvisibility-inlines-hidden -fvisibility=hidden")
    endif()
endif()

set(EXTERNAL_LINK_FLAGS "")
set(EXTERNAL_LIBRARY_DIRS ${PROJECT_BINARY_DIR}/ext/dist/lib)
set(EXTERNAL_DEBUG_LIBRARIES ${YAML_CPP_STATIC_DEBUG_LIBRARIES})
set(EXTERNAL_OPTIMIZED_LIBRARIES ${YAML_CPP_STATIC_OPTIMIZED_LIBRARIES})
set(EXTERNAL_GENERAL_LIBRARIES ${TINYXML_STATIC_LIBRARIES} ${YAML_CPP_STATIC_GENERAL_LIBRARIES})

###############################################################################
### Documentation ###

messageonce("Generate Documentation: ${OCIO_BUILD_DOCS}")

if(OCIO_BUILD_DOCS)
    if(PYTHON_OK)
        add_subdirectory(docs)
    else()
        message(STATUS "Building the documentation requires Python, but locating Python failed: ${PYTHON_ERR}")
    endif()
endif()

###############################################################################
### SSE ###

messageonce("SSE Optimizations: ${OCIO_USE_SSE}")

if(OCIO_USE_SSE)
    if(WIN32)
        # SSE instructions are automatically compiled into 64-bit applications so enabling the option is redundant and
        # actually produces an unknown option warning in Visual Studio.
        if(NOT CMAKE_CL_64)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:SSE2")
        endif()
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
    endif()
    add_definitions("-DUSE_SSE")
endif()

###############################################################################
### TRUELIGHT ###

if(OCIO_BUILD_TRUELIGHT)
    find_package(Truelight)
    if(TRUELIGHT_FOUND)
        messageonce("Will build the truelight transform support against ${Truelight_LIBRARY_DIR}")
        add_definitions(-DOCIO_TRUELIGHT_SUPPORT)
        set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${Truelight_INCLUDE_DIR})

=== docs/CMakeLists.txt ===

###############################################################################
### External Doc Apps ###

# setuptools
# https://pypi.python.org/pypi/setuptools
set(SETUPTOOLS_VERSION 1.1.6)
ExternalProject_Add(setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/setuptools-${SETUPTOOLS_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py install --prefix=${EXTDIST_ROOT}
)

# docutils
# https://pypi.python.org/pypi/docutils
set(DOCUTILS_VERSION 0.11)
ExternalProject_Add(docutils
    DEPENDS setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/docutils-${DOCUTILS_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py install --prefix=${EXTDIST_ROOT}
)

# jinja2
# https://pypi.python.org/pypi/Jinja2
set(JINJA2_VERSION 2.7.1)
ExternalProject_Add(Jinja2
    DEPENDS setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/Jinja2-${JINJA2_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py install --prefix=${EXTDIST_ROOT}
)

# Pygments
# https://pypi.python.org/pypi/Pygments
set(PYGMENTS_VERSION 1.6)
ExternalProject_Add(Pygments
    DEPENDS setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/Pygments-${PYGMENTS_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py install --prefix=${EXTDIST_ROOT}
)

# sphinx
# https://pypi.python.org/pypi/Sphinx
set(SPHINX_VERSION 1.2b3)
ExternalProject_Add(Sphinx
    DEPENDS setuptools docutils Jinja2 Pygments
    URL ${CMAKE_SOURCE_DIR}/ext/Sphinx-${SPHINX_VERSION}.tar.gz
    PATCH_COMMAND patch -p1 < ${CMAKE_SOURCE_DIR}/ext/Sphinx-${SPHINX_VERSION}.patch
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} ${PYTHON} setup.py install --prefix=${EXTDIST_ROOT} --install-scripts=${EXTDIST_ROOT}/bin
)

###############################################################################
### Create Doc Targets ###

message(STATUS "Create sphinx conf.py from conf.py.in")
configure_file(${CMAKE_SOURCE_DIR}/docs/conf.py.in
    ${CMAKE_BINARY_DIR}/docs/conf.py @ONLY)

message(STATUS "Copying doc to staging area")
file(
    COPY ${CMAKE_SOURCE_DIR}/docs/
    DESTINATION ${CMAKE_BINARY_DIR}/docs

    # Ignore dot files like emacs' temporary .#somefile.rst which
    # break Sphinx (and must be manually removed from the destination)
    PATTERN ".*" EXCLUDE
    )

message(STATUS "Copy extra doc files to staging area")
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/README)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/INSTALL)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/ChangeLog)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/LICENSE)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/share/nuke/ocionuke/viewer.py)
CopyFiles(RSTDOC ${DOCFILES})

message(STATUS "Extracting .rst files from C++ headers")
ExtractRstCPP(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorIO.h developers/api/OpenColorIO.rst)
ExtractRstCPP(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorTransforms.h developers/api/OpenColorTransforms.rst)
ExtractRstCPP(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorTypes.h developers/api/OpenColorTypes.rst)

add_custom_target(doc ALL
    COMMAND PYTHONPATH=${PYTHONPATH} ${EXTDIST_BINPATH}/sphinx-build -b html . ${CMAKE_CURRENT_BINARY_DIR}/build-html
    DEPENDS
        OpenColorIO
        PyOpenColorIO
        ${CMAKE_BINARY_DIR}/docs/conf.py
        developers/api/OpenColorIO.rst
        developers/api/OpenColorTransforms.rst
        developers/api/OpenColorTypes.rst
        ${RSTDOC_OUTPUT}
    COMMENT "Building html docs"
    SOURCES ${DOCFILES})

# note: ExternalProject will not build when added to a add_custom_target this
# works around this problem. This seems to be fixed in the cmake ^HEAD
add_dependencies(doc Sphinx) 

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build-html/
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/OpenColorIO/html
        PATTERN .* EXCLUDE
)

find_package(LATEX)
if(PDFLATEX_COMPILER)
    
    add_custom_target(latex
        COMMAND PYTHONPATH=${PYTHONPATH} ${EXTDIST_BINPATH}/sphinx-build -b latex . ${CMAKE_CURRENT_BINARY_DIR}/build-latex
        DEPENDS
            OpenColorIO
            ${CMAKE_BINARY_DIR}/docs/conf.py
            developers/api/OpenColorIO.rst
            developers/api/OpenColorTransforms.rst
            developers/api/OpenColorTypes.rst
            ${RSTDOC_OUTPUT}
        COMMENT "Building latex doc"
        SOURCES ${DOCFILES})
    add_dependencies(latex Sphinx)
    
    add_custom_target(pdf ALL
        COMMAND ${PDFLATEX_COMPILER} OpenColorIO.tex
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build-latex
        COMMENT "Building pdf doc"
        SOURCES ${DOCFILES})
    add_dependencies(pdf latex)
    
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/build-latex/OpenColorIO.pdf
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/OpenColorIO/)
    
endif()

=== src/core/CMakeLists.txt ===
###############################################################################
### OCIO CORE ###

include_directories(
    ${CMAKE_SOURCE_DIR}/export/
    ${CMAKE_BINARY_DIR}/export/
    ${EXTERNAL_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/ext/oiio/src/include
)

file(GLOB_RECURSE core_src_files "${CMAKE_SOURCE_DIR}/src/core/*.cpp")
file(GLOB_RECURSE core_export_headers "${CMAKE_SOURCE_DIR}/export/OpenColorIO/*.h")

message(STATUS "Create OpenColorABI.h from OpenColorABI.h.in")
configure_file(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorABI.h.in
    ${CMAKE_BINARY_DIR}/export/OpenColorABI.h @ONLY)
list(APPEND core_export_headers ${CMAKE_BINARY_DIR}/export/OpenColorABI.h)

# SHARED

if(OCIO_BUILD_SHARED)
    add_library(OpenColorIO SHARED ${core_src_files})

    if(USE_EXTERNAL_TINYXML)
        target_link_libraries(OpenColorIO ${TINYXML_LIBRARIES})
    else(USE_EXTERNAL_TINYXML)
        add_dependencies(OpenColorIO tinyxml)
    endif(USE_EXTERNAL_TINYXML)

    if(USE_EXTERNAL_YAML)
        target_link_libraries(OpenColorIO ${YAML_CPP_LIBRARIES})
    else(USE_EXTERNAL_YAML)
        add_dependencies(OpenColorIO YAML_CPP_LOCAL)
    endif()

    if(WIN32)
        target_link_libraries(OpenColorIO
            debug ${EXTERNAL_DEBUG_LIBRARIES}
            optimized ${EXTERNAL_OPTIMIZED_LIBRARIES}
            general ${EXTERNAL_GENERAL_LIBRARIES})
    else()
        target_link_libraries(OpenColorIO ${EXTERNAL_GENERAL_LIBRARIES})
    endif()
    set_target_properties(OpenColorIO PROPERTIES
        OUTPUT_NAME OpenColorIO
        COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS}"
        LINK_FLAGS "${EXTERNAL_LINK_FLAGS}")
    
    message(STATUS "Setting OCIO SOVERSION to: ${SOVERSION}")
    set_target_properties(OpenColorIO PROPERTIES
        VERSION ${OCIO_VERSION}
        SOVERSION ${SOVERSION})
    
    install(TARGETS OpenColorIO DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX})
endif()

# STATIC

if(OCIO_BUILD_STATIC)
    list(REMOVE_ITEM core_src_files ${CMAKE_SOURCE_DIR}/src/core/UnitTest.cpp)
    add_library(OpenColorIO_STATIC STATIC ${core_src_files})
    add_dependencies(OpenColorIO_STATIC tinyxml YAML_CPP_LOCAL)
    if(WIN32)
        target_link_libraries(OpenColorIO_STATIC
            debug ${EXTERNAL_DEBUG_LIBRARIES}
            optimized ${EXTERNAL_OPTIMIZED_LIBRARIES}
            general ${EXTERNAL_GENERAL_LIBRARIES})
    else()
        target_link_libraries(OpenColorIO_STATIC ${EXTERNAL_GENERAL_LIBRARIES})
    endif()
    set_target_properties(OpenColorIO_STATIC PROPERTIES
        OUTPUT_NAME OpenColorIO
        COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS}"
        LINK_FLAGS "${EXTERNAL_LINK_FLAGS}")
    
    message(STATUS "Setting OCIO SOVERSION to: ${SOVERSION}")
    set_target_properties(OpenColorIO_STATIC PROPERTIES
        VERSION ${OCIO_VERSION}
        SOVERSION ${SOVERSION})
    
    install(TARGETS OpenColorIO_STATIC DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib)
endif()

# public interface
install(FILES ${core_export_headers}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/include/OpenColorIO/)

# pkg-config
message(STATUS "Create OpenColorIO.pc from OpenColorIO.pc.in")
configure_file(${CMAKE_SOURCE_DIR}/export/pkgconfig/OpenColorIO.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/OpenColorIO.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenColorIO.pc
    DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/)

=== src/jniglue/CMakeLists.txt ===

include_directories(
  ${JNI_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/export/
  ${CMAKE_BINARY_DIR}/export/
)

set(JNIOCIO_CLASSES
  # Core
  org.OpenColorIO.ExceptionBase
  org.OpenColorIO.ExceptionMissingFile
  org.OpenColorIO.Globals
  org.OpenColorIO.Config
  org.OpenColorIO.ColorSpace
  org.OpenColorIO.Processor
  org.OpenColorIO.GpuShaderDesc
  org.OpenColorIO.Context
  org.OpenColorIO.Look
  org.OpenColorIO.ImageDesc
  org.OpenColorIO.Transform
  org.OpenColorIO.PackedImageDesc
  org.OpenColorIO.PlanarImageDesc
  org.OpenColorIO.Baker
  # Enums
  org.OpenColorIO.LoggingLevel
  org.OpenColorIO.ColorSpaceDirection
  org.OpenColorIO.TransformDirection
  org.OpenColorIO.Interpolation
  org.OpenColorIO.BitDepth
  org.OpenColorIO.Allocation
  org.OpenColorIO.GpuLanguage
  org.OpenColorIO.EnvironmentMode
  # Transforms
  org.OpenColorIO.AllocationTransform
  org.OpenColorIO.CDLTransform
  org.OpenColorIO.ColorSpaceTransform
  org.OpenColorIO.DisplayTransform
  org.OpenColorIO.ExponentTransform
  org.OpenColorIO.FileTransform
  org.OpenColorIO.GroupTransform
  org.OpenColorIO.LogTransform
  org.OpenColorIO.LookTransform
  org.OpenColorIO.MatrixTransform
  org.OpenColorIO.TruelightTransform
)

file(GLOB JNIOCIO_JAVAS "org/OpenColorIO/*.java")

message(STATUS "Creating Jar Manifest.txt")
configure_file(${CMAKE_SOURCE_DIR}/src/jniglue/Manifest.txt.in
    ${CMAKE_CURRENT_BINARY_DIR}/Manifest.txt @ONLY)

message(STATUS "Creating LoadLibrary.java")
configure_file(${CMAKE_SOURCE_DIR}/src/jniglue/LoadLibrary.java.in
    ${CMAKE_CURRENT_BINARY_DIR}/LoadLibrary.java @ONLY)
list(APPEND JNIOCIO_JAVAS ${CMAKE_CURRENT_BINARY_DIR}/LoadLibrary.java)

set(JNIOCIO_HEADERS)
set(JNIOCIO_H_INCLUDE "/* DO NOT EDIT THIS FILE - it is machine generated */\n\n")
foreach(_CLASS ${JNIOCIO_CLASSES})
  string(REPLACE "." "_" _CLASS_H ${_CLASS})
  set(_CLASS_H "${_CLASS_H}.h")
  set(JNIOCIO_HEADERS ${JNIOCIO_HEADERS} "${_CLASS_H}")
  set(JNIOCIO_H_INCLUDE "${JNIOCIO_H_INCLUDE}#include \"${_CLASS_H}\"\n")
endforeach()
message(STATUS "Creating OpenColorIOJNI.h that includes all the ocio jni headers")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/OpenColorIOJNI.h" "${JNIOCIO_H_INCLUDE}")

set(JNIOCIO_JAR "${CMAKE_CURRENT_BINARY_DIR}/OpenColorIO-${OCIO_VERSION}.jar")
add_custom_command(OUTPUT ${JNIOCIO_HEADERS}
                   COMMAND cmake -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/org/OpenColorIO
                   COMMAND ${Java_JAVAC_EXECUTABLE} -cp ${CMAKE_CURRENT_BINARY_DIR} -d ${CMAKE_CURRENT_BINARY_DIR} ${JNIOCIO_JAVAS}
                   COMMAND ${Java_JAVAH_EXECUTABLE} -jni -force ${JNIOCIO_CLASSES}
                   COMMAND ${Java_JAR_EXECUTABLE} vcfm ${JNIOCIO_JAR} Manifest.txt org
                   IMPLICIT_DEPENDS ${JNIOCIO_JAVAS}
                   COMMENT "Compiling .java files, packaged .jar and creating jni C headers")

file(GLOB JNIOCIO_SRC "*.cpp")
add_library(OpenColorIO-JNI SHARED ${JNIOCIO_SRC} ${JNIOCIO_HEADERS})
set_target_properties(OpenColorIO-JNI PROPERTIES
                      VERSION ${OCIO_VERSION}
                      SOVERSION ${SOVERSION})
if(OCIO_STATIC_JNIGLUE)
  target_link_libraries(OpenColorIO-JNI OpenColorIO_STATIC)
else()
  target_link_libraries(OpenColorIO-JNI OpenColorIO)
endif()

add_subdirectory(tests)

install(TARGETS OpenColorIO-JNI DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX})
install(FILES ${JNIOCIO_JAR} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ocio/)

=== src/nuke/CMakeLists.txt ===
if(APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -undefined dynamic_lookup")
endif()

include_directories(
    ${CMAKE_SOURCE_DIR}/export/
    ${CMAKE_BINARY_DIR}/export/
    ${Nuke_INCLUDE_DIR}
)

###############################################################################
### NukeOCIOColorSpace ###

add_library(NukeOCIOColorSpace MODULE
    OCIOColorSpace/OCIOColorSpace.cpp
)
target_link_libraries(NukeOCIOColorSpace
    OpenColorIO
    #${Nuke_LIBRARIES}
)
set_target_properties(NukeOCIOColorSpace
    PROPERTIES
    PREFIX ""
    OUTPUT_NAME "OCIOColorSpace"
)

###############################################################################
### NukeOCIODisplay ###

add_library(NukeOCIODisplay MODULE
    OCIODisplay/OCIODisplay.cpp
)
target_link_libraries(NukeOCIODisplay
    OpenColorIO
    #${Nuke_LIBRARIES}
)
set_target_properties(NukeOCIODisplay
    PROPERTIES
    PREFIX ""
    OUTPUT_NAME "OCIODisplay"
)

###############################################################################
### NukeOCIOFileTransform ###

add_library(NukeOCIOFileTransform MODULE
    OCIOFileTransform/OCIOFileTransform.cpp
)
target_link_libraries(NukeOCIOFileTransform
    OpenColorIO
    #${Nuke_LIBRARIES}
)
set_target_properties(NukeOCIOFileTransform
    PROPERTIES
    PREFIX ""
    OUTPUT_NAME "OCIOFileTransform"
)

###############################################################################
### NukeOCIOLogConvert ###

add_library(NukeOCIOLogConvert MODULE
    OCIOLogConvert/OCIOLogConvert.cpp
)
target_link_libraries(NukeOCIOLogConvert
    OpenColorIO
    #${Nuke_LIBRARIES}
)
set_target_properties(NukeOCIOLogConvert
    PROPERTIES
    PREFIX ""
    OUTPUT_NAME "OCIOLogConvert"
)

###############################################################################
### NukeOCIOLookTransform ###

add_library(NukeOCIOLookTransform MODULE
    OCIOLookTransform/OCIOLookTransform.cpp
)
target_link_libraries(NukeOCIOLookTransform
    OpenColorIO
    #${Nuke_LIBRARIES}
)
set_target_properties(NukeOCIOLookTransform
    PROPERTIES
    PREFIX ""
    OUTPUT_NAME "OCIOLookTransform"
)

###############################################################################
### NukeOCIOCDLTransform ###

add_library(NukeOCIOCDLTransform MODULE
    OCIOCDLTransform/OCIOCDLTransform.cpp
)
target_link_libraries(NukeOCIOCDLTransform
    OpenColorIO
    #${Nuke_LIBRARIES}
)
set_target_properties(NukeOCIOCDLTransform
    PROPERTIES
    PREFIX ""
    OUTPUT_NAME "OCIOCDLTransform"
)

###############################################################################
### Nuke Targets ###

add_custom_target(Nuke
    DEPENDS NukeOCIOColorSpace
    DEPENDS NukeOCIODisplay
    DEPENDS NukeOCIOFileTransform
    DEPENDS NukeOCIOLogConvert
    DEPENDS NukeOCIOCDLTransform
)

install(TARGETS NukeOCIOColorSpace
        DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/nuke${Nuke_API_VERSION})

install(TARGETS NukeOCIODisplay
        DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/nuke${Nuke_API_VERSION})

install(TARGETS NukeOCIOLogConvert
        DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/nuke${Nuke_API_VERSION})

install(TARGETS NukeOCIOFileTransform
        DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/nuke${Nuke_API_VERSION})

install(TARGETS NukeOCIOLookTransform
        DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/nuke${Nuke_API_VERSION})

install(TARGETS NukeOCIOCDLTransform
        DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib/nuke${Nuke_API_VERSION})

install(DIRECTORY ${CMAKE_SOURCE_DIR}/share/nuke
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/
        PATTERN .svn EXCLUDE)

=== src/apps/ocioconvert/CMakeLists.txt ===
if (OIIO_FOUND)
    include_directories(
        ${CMAKE_SOURCE_DIR}/export/
        ${CMAKE_BINARY_DIR}/export/
        ${CMAKE_SOURCE_DIR}/src/apps/share/
        ${OIIO_INCLUDES}
    )
    
    file(GLOB_RECURSE share_src_files "${CMAKE_SOURCE_DIR}/src/apps/share/*.cpp")
    
    add_executable(ocioconvert ${share_src_files} main.cpp)
    
    target_link_libraries(ocioconvert ${OIIO_LIBRARIES} OpenColorIO ${CMAKE_DL_LIBS})
    
    install(TARGETS ocioconvert DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)
endif()

=== debian/changelog ===
opencolorio (1.0.9~dfsg0-4) unstable; urgency=medium

  * debian/: fix g++-5 ABI transition issue (Closes: #796925)
  * debian/control:
    - libopenimageio-dev b-dep dropped
    - Uploader e-mail address updated
  * debian/copyright: S-V bump 3.9.5 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Sep 2015 13:55:34 +0200

opencolorio (1.0.9~dfsg0-3) unstable; urgency=medium

  * debian/control: Priority bump - extra => optional (Closes: #761332)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Sat, 13 Sep 2014 09:31:28 +0200

opencolorio (1.0.9~dfsg0-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Fix_FTBFS_on_kFreeBSD.patch added

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Tue, 24 Jun 2014 18:11:46 +0200

opencolorio (1.0.9~dfsg0-1) unstable; urgency=low

  * New upstream release
    - debian/rules: dh_auto_test overridden
    - debian/patches/: patchset updated
      - 0001-Fix_built-in_documentation_dependencies.patch refreshed
  * debian/control: Uploader e-mail address updated
  * debian/control: S-V 3.9.4 => 3.9.5 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Fri, 06 Jun 2014 09:57:28 +0200

=== debian/control ===
Source: opencolorio
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 9),
 junit4,
 libboost-dev,
 libglew-dev,
 liblcms2-dev,
 libqt4-opengl-dev,
 libtinyxml-dev,
 libyaml-cpp0.3-dev,
 pkg-config,
 python-dev,
 python-docutils,
 python-jinja2,
 python-pygments,
 python-setuptools,
 python-sphinx,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended
X-Python-Version: >= 2.7
Standards-Version: 3.9.6
Homepage: http://opencolorio.org
Vcs-Git: git://anonscm.debian.org/pkg-phototools/opencolorio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/opencolorio.git

Package: libopencolorio-dev
Section: libdevel
Architecture: any
Depends: libopencolorio1v5 (= ${binary:Version}),
         ${misc:Depends}
Description: complete color management solution - development
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the development files used to build applications
 using libopencolorio.

Package: libopencolorio1v5
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libopencolorio1
Replaces: libopencolorio1
Description: complete color management solution - runtime
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the runtime files used to run applications
 built against libopencolorio.

Package: opencolorio-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: complete color management solution - utilities
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides some utilities.

Package: opencolorio-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Description: complete color management solution - documentation
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the documentation.

Package: python-pyopencolorio
Section: python
Architecture: any
Depends: libopencolorio1v5 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: complete color management solution - python bindings
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides Python bindings to the OpenColorIO library.

=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export REPACK_SH=$(CURDIR)/debian/repack.sh
BLDDIR = debian/cmake
INSTDIR = debian/tmp

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DOCIO_BUILD_DOCS=ON \
		-DOCIO_BUILD_NUKE=OFF \
		-DOCIO_BUILD_STATIC=OFF \
		-DOCIO_BUILD_TESTS=OFF \
		-DOCIO_BUILD_TRUELIGHT=OFF \
		-DOCIO_USE_SSE=OFF \
		-DUSE_EXTERNAL_TINYXML=ON \
		-DUSE_EXTERNAL_YAML=ON

override_dh_auto_install:
	dh_auto_install
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_sources/License.txt
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/underscore.js

override_dh_install:
	mv $(INSTDIR)/usr/share/doc/OpenColorIO $(INSTDIR)/usr/share/doc/opencolorio
	dh_install

override_dh_auto_clean:
	pyclean .
	dh_auto_clean

override_dh_auto_test:

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
opts="dversionmangle=s/\~dfsg.*//" \
https://github.com/imageworks/OpenColorIO/tags .*/v(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
